#!/bin/sh

## This file dynamically enabled external logstash forwarders via lumberjack
## protocol depending on the env variables
## - LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_ENABLED
## - LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_ENABLED
## - LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_ENABLED
## As logstash does not have an including system we need to dynamically edit the files

if [ "$LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_ENABLED" == "true" ]; then
  if [ -z $LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_HOST ]; then echo "LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_HOST is not set, but needed for LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_ENABLED"; exit 1; fi
  if [ -z $LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_PORT ]; then echo "LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_PORT is not set, but needed for LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_ENABLED"; exit 1; fi

  sed -i -r 's/#\?LOGS2LOGSDB_SERVICELOGS_EXTERNAL_LOGSTASH_ENABLED(.*)/\1/' pipeline/service-logs.conf
fi

if [ "$LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_ENABLED" == "true" ]; then
  if [ -z $LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_HOST ]; then echo "LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_HOST is not set, but needed for LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_ENABLED"; exit 1; fi
  if [ -z $LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_PORT ]; then echo "LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_PORT is not set, but needed for LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_ENABLED"; exit 1; fi

  sed -i -r 's/#\?LOGS2LOGSDB_ROUTERAPPLICATIONLOGS_EXTERNAL_LOGSTASH_ENABLED(.*)/\1/' pipeline/router-application-logs.conf
fi

if [ "$LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_ENABLED" == "true" ]; then
  if [ -z $LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_HOST ]; then echo "LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_HOST is not set, but needed for LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_ENABLED"; exit 1; fi
  if [ -z $LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_PORT ]; then echo "LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_PORT is not set, but needed for LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_ENABLED"; exit 1; fi

  sed -i -r 's/#\?LOGS2LOGSDB_LAGOONLOGS_EXTERNAL_LOGSTASH_ENABLED(.*)/\1/' pipeline/lagoon-logs.conf
fi